<?php

namespace App\Entity;

use App\Repository\QuiParticipeRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: QuiParticipeRepository::class)]
class QuiParticipe
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'quiParticipes')]
    private ?User $user = null;

    #[ORM\ManyToOne(inversedBy: 'quiParticipes')]
    private ?Atelier $atelier = null;

    #[ORM\ManyToOne(inversedBy: 'quiParticipes')]
    private ?DisponibiliteAtelier $disponibiliteAtelier = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(?User $user): static
    {
        $this->user = $user;

        return $this;
    }

    public function getAtelier(): ?Atelier
    {
        return $this->atelier;
    }

    public function setAtelier(?Atelier $atelier): static
    {
        $this->atelier = $atelier;

        return $this;
    }

    public function getDisponibiliteAtelier(): ?DisponibiliteAtelier
    {
        return $this->disponibiliteAtelier;
    }

    public function setDisponibiliteAtelier(?DisponibiliteAtelier $disponibiliteAtelier): static
    {
        $this->disponibiliteAtelier = $disponibiliteAtelier;

        return $this;
    }
}
